# Get-RASCertificate.md

## NAME

Get-RASCertificate

## SYNOPSIS

Retrieves information about one or multiple Certificates.

## SYNTAX

**Get-RASCertificate** \[\[-[Id](#id-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASCertificate** \[\[-[Name](#name-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves information about one or multiple Certificates.

## PARAMETERS

## Name (string)

The name of the Certificate for which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the Certificate information.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a Certificate for which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[Certificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASCertificate

Retrieves information about all the Certificates from the Licensing Server site.\
\*\*---------- EXAMPLE 2 ----------

Get-RASCertificate -Name "Cert"

Retrieves information about the Certificate specified by Name from the Licensing Server site.\
\*\*---------- EXAMPLE 3 ----------

Get-RASCertificate -Id 1

Retrieves information about the Certificate specified by ID from the Licensing Server site.

## RELATED LINKS

* [New-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rascertificate.md)
* [Remove-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rascertificate.md)
* [Set-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascertificate.md)
* [Invoke-RASExportCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasexportcertificate.md)
* [Invoke-RASCertificateCmd](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rascertificatecmd.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascertificate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
